<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 1.0.0

Copyright (C) 2006-2014  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smi.no-ip.org
 ****************************************************************************************/

/*******************************************************************************/
/* Récupération des compléments ) saisir en fonction type objets (Patrimoines) */
/*******************************************************************************/

session_start();
sleep(1);
if (array_key_exists("to", $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?to=un-type-objet";
}

function print_plain()
{
    global
        $_SESSION;
    require_once("../lib/gettext/gettext.inc");
    include_once("../inc/config.inc.php");
    include_once("../inc/func_txt.inc.php");
    include_once("../classes/ezSQL/shared/ez_sql_core.php");
    include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
    include_once("../inc/func_sql.inc.php");

    header("Content-type: text/html; charset=UTF-8");
    $codeto = $_REQUEST["to"];
    // On se connecte a la base
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
    // On recupere les enregistrements
    $result = [];
    $rech = "SELECT rto_cont,rto_comp,rto_mque,rto_ns,rto_mob,rto_assu FROM `" . TBRTO . "` WHERE `rto_code` = '" . $db->escape($codeto) . "'";
    $row = $db->get_row($rech, ARRAY_A);
    if ($row)
    {
        // On cree le resultat
        $row = encode_str($row);
        foreach ($row as $value) {
            $result[] = $value;
        }
    }
    $db->disconnect();

    print implode(";", $result);
}

?>